Mailboxes
Update a mailbox label
Updates the fields you name and keeps the rest. Use this endpoint to update a mailbox label through the Samva email API.
Updates the fields you name and keeps the rest.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$labelId*string
Match
^label_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
displayName?string|null
color?|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/mailboxes/string/labels/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "slug": "string", "displayName": "string", "color": "billing", "createdAt": "string", "updatedAt": "string"}